#!/usr/bin/bash
#
# Set the primary screen after login
# Clone screen on all displays
# Set audio-default-sink
#
set -eu

if [[ "$XDG_SESSION_TYPE" = wayland ]] ; then
  while ! kscreen-doctor -o; do
    sleep 1
  done
  sleep 2
  {% if dual_screen is defined %}
    kscreen-doctor output.{{ dual_screen[1] }}.priority.1
  {% endif %}
  for N in $(kscreen-doctor -j | jq -r .outputs[].name) ; do
    kscreen-doctor output.$N.mode.{{ misc_clonescreen_mode }} output.$N.position.0,0 output.$N.scale.$(kscreen-doctor -j | jq .outputs[].scale | sort | head -1);
  done
fi
{% if audio_output is defined %}
  pactl set-card-profile alsa_card.{{ audio_output[0] }} output:{{ audio_output[1] }}
  pactl set-default-sink alsa_output.{{ audio_output[0] }}.{{ audio_output[1] }}
{% else %}
if pactl list cards | grep output:hdmi-stereo: | grep -E "verfügbar: ja|available: yes"; then
  pactl set-card-profile $(pactl list short cards | grep -m1 pci | head -1 | cut -f2) output:hdmi-stereo
  pactl set-default-sink $(pactl list short cards | grep -m1 pci | head -1 | cut -f2 | sed s/card/output/g).hdmi-stereo
fi
{% endif %}
